#### D.2.4.5 Crep

Procedure from library `grobcov.lib` (see grobcov_lib).

Usage:
  Crep(ideal N,ideal M);
  ideal N (null ideal) (not necessarily radical nor
  maximal) in Q[a]. (a=parameters, x=variables).
  ideal M (hole ideal) (not necessarily containing N)
  in Q[a]. To be called in a ring Q[a][x] or a ring Q[a]. But the ideals can contain only the parameters
  in Q[a].

Return:
  The canonical C-representation [P,Q] of the
  locally closed set, formed by a pair of radical
  ideals with P included in Q, representing the set
  V(P) \ V(Q) = V(N) \ V(M)

Example:

    LIB "grobcov.lib";
    short=0;
    if(defined(R)){kill R;}
    ring R=0,(a,b,c),lp;
    ideal p=a*b;
    ideal q=a,b-2;
    // C-representation of V(p) \ V(q)
    Crep(p,q);
    ==> [1]:
    ==>    _[1]=ab
    ==> [2]:
    ==>    _[1]=b-2
    ==>    _[2]=a

User manual for Singular version 4.4.1, 2025, generated by texi2html.